%define oname async_extra

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 2
Summary:        Jane Street Capital's asynchronous execution library

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-async_kernel-devel >= 0.13
BuildRequires:  ocaml-async_rpc_kernel-devel >= 1:0.13
BuildRequires:  ocaml-async_unix-devel >= 1:0.13
BuildRequires:  ocaml-core-devel >= 0.13
BuildRequires:  ocaml-ppx_jane-devel >= 1:0.13
BuildRequires:  ocaml-ocaml-migrate-parsetree-devel >= 1.0
BuildRequires:  ocaml-ppxlib-devel >= 0.1.0
BuildRequires:  ocaml-result-devel

%description
Monadic concurrency library

Part of Jane Street's Core library
The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*/*.cmt*
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-2.mga8
+ Revision: 1670862
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 pterjan <pterjan> 1:0.13.0-1.mga8
+ Revision: 1552395
- Update to 0.13.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Oct 25 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1325260
- Update to 0.11.1

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-6.mga7
+ Revision: 1312637
- rebuild against ocaml-sexplib

* Sun Sep 02 2018 pterjan <pterjan> 1:0.10.0-5.mga7
+ Revision: 1256141
- Add BuildRequires ocaml-result-devel

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1242233
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242059
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1199031
- fix shared stubs libraries ocaml path

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193956
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Sun Sep 25 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 1056233
- Rebuild for fix in ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 978752
- Update to 113.24.00
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.24.00-4.mga5
+ Revision: 747292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.24.00-3.mga5
+ Revision: 682982
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.24.00-2.mga4
+ Revision: 527583
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 441267
- update to 109.24.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321275
- imported package ocaml-async_extra

